# Wczytujemy liczbę desek.
N = int(input())

# Wczytujemy długości desek. Wszystkie elementy konwertujemy
# z napisów na liczby.
L = [int(l) for l in input().split()]

# Sortujemy długości desek używając funkcji bibliotecznej.
L.sort()

# W poniższych wierszach szukamy długości boku naszej kwadratowej piaskownicy.

# Pierwszym możliwym rozwiązaniem jest wzięcie najdłuższej deski
# i podzielenie jej na 4 równe kawałki.
bok = L[-1]//4;

# Kiedy mamy co najmniej dwie deski mamy dwa przypadki do rozpatrzenia:
if N >= 2:
  # albo bierzemy najdłuższą deskę, dzielimy na trzy części i jako czwartą
  # deskę bierzemy drugą najdłuższą,
  bok = max(bok, min(L[-1]//3, L[-2]))
  # albo obie dwie najdłuższe deski dzielimy na połowy, otrzymując cztery deski.
  bok = max(bok, L[-2]//2)

# Jeżeli mamy co najmniej trzy deski,
if N >= 3:
  # to jedyną możliwością, którą musimy rozważyć jest przepiłowanie
  # najdłuższej deskę na pół.
  bok = max(bok, min(L[-1]//2, L[-3]));

# Natomiast jeżeli mamy co najmniej cztery deski,
if N >= 4:
  # to możemy wziąć wszystkie deski bez żadnego piłowania.
  bok = max(bok, L[-4]);

# Wypisujemy wynik - pole największej piaskownicy,
print(bok * bok)
